Bug 134011 - Intel Pro 1000 MT/Adaptec ANA-64044 will not get an IP on eth3
Intel Pro 1000 MT/Adaptec ANA-64044 will not get an IP on eth3
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: dhcpcd (Show other bugs)
2.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-28 19:01 EDT by Marc J. Miller
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-02 11:37:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marc J. Miller 2004-09-28 19:01:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; 
T312461; .NET CLR 1.0.3705; .NET CLR 1.1.4322)

Description of problem:
With the Intel Pro 1000 MT or the Adaptec ANA-64044 installed in 
either PCI slot running at either 100Mhz or 133Mhz eth3 will not get 
an IP. If you do type eth3 it will not get an IP. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Step 1: Install Red Hat 2.1 
Step 2: Once installed  do a ifconfig and there will not be a IP 
address assigned from the DHCP server. 
Step 3: Do a ifup eth3 and it will try to obtain an IP but will fail 
to do so. Can do a ifup eth0 - eth2 and get an IP without any 
problems.
Step 4: Tried on another Double Eagle and it fails as well. (A022685)
Step 5: Tried on both slots of the both Double Eagles and they both 
failed. 
Step 6: Tried with the PCI slots running at 133Mhz and 100Mhz and 
both configs failed.
Step 7: Tried the latest driver e1000-4.3.15.tar.gz from Intels 
website and it fails witht at as well.
Step 8: Tried on an Intel system and it would not get an IP on eth2. 
It di however get an IP on eth3.
Step 9: *** NOTE ***Also the Adaptec ANA-64044 will not get an IP on 
eth3 with Red Hat 2.1.

Actual Results:  No IP address

Expected Results:  dhcpcd should have picked up an IP address from 
the DHCP server

Additional info:

REGRESSIONS:
CMOS has been cleared.  
All Device and Chipset drivers are installed properly with out 
bangs.  
Failure has been duplicated with all new hardware.  
Failure has been duplicated with a fresh install of the OS.  
The driver of the offending device is the newest release.  
This failure has be duplicated on another motherboard? (Same model 
and Rev.)  
This failure has been reproduced with the offending device isolated. 
(No other hardware installed.)  
This failure is specific to this particular brand and model of 
hardware.   
This issue is reproducable one BIOS Rev. back.  No other BIOS to test
There is a passing configuration:  eth0 - eth2 work

HARDWARE:
IBM e325 (motherboard rev 3)
Comment 1 Jason Vas Dias 2004-10-01 10:20:31 EDT
Please can you supply some further information :

1. Can you bring up the eth3 interface without dhcp ? ie., do:
   $ ifconfig eth3 0.0.0.0 up 
   Then what does 'ifconfig eth3' report?
   
2. What is in your /etc/modules.conf for eth3 ?
   $ grep eth3 /etc/modules.conf

3. Do you see the module listed in modules.conf for eth3 loaded ?
   $ modprobe {module name from (2) above}

4. Having been able to bring the interface up with command from (1)
   above, please capture dhcpcd debug info:
   Place this line in /etc/syslog.conf:
   
local0.*     /var/log/dhcpcd.log

   And do:
   $ service syslog restart

   Then with the eth3 interface up from step (1) above, do:
   $ dhcpcd -d eth3
  
   And append the resulting /var/log/dhcpcd.log file to this bug.

5. If the above dhcpcd invocation worked, then there is a problem
   with your /etc/sysconfig/network-scripts/ifcfg-eth3 file - what
   are the contents of this file ?
Comment 2 Marc J. Miller 2004-11-29 20:25:51 EST
Answers to questions:

>1. Can you bring up the eth3 interface without dhcp ? ie., do:
>   $ ifconfig eth3 0.0.0.0 up 
>   Then what does 'ifconfig eth3' report?

Link encap:Ethernet HWaddr 00:04:23:09:BA:EF UP Broadcast Running
MTU:1500 Metric:1 RX Packets:3054 Errors:4147 Dropped:4147
Overrunns:2293 Frames:0 TX Packets:3 Erros:0 Dropped:0 Overruns:0
Carrier:0 Colliosions:0 RX Bytes:242654 (236.9 KB) TX Bytes:1782 (1.7 KB)
   
>2. What is in your /etc/modules.conf for eth3 ?
>   $ grep eth3 /etc/modules.conf
Alias eth3 e1000


>3. Do you see the module listed in modules.conf for eth3 loaded ?
>   $ modprobe {module name from (2) above}
Yes

>4. Having been able to bring the interface up with command from (1)
>   above, please capture dhcpcd debug info:
>   Place this line in /etc/syslog.conf:
>   
>local0.*     /var/log/dhcpcd.log
>
>   And do:
>   $ service syslog restart
>
>   Then with the eth3 interface up from step (1) above, do:
>   $ dhcpcd -d eth3
>  
>   And append the resulting /var/log/dhcpcd.log file to this bug.

:Timed Out waiting for valid DHCP Server Response


>5. If the above dhcpcd invocation worked, then there is a problem
>   with your /etc/sysconfig/network-scripts/ifcfg-eth3 file - what
>   are the contents of this file ?

Did not work


Additional information:
- RHEL 2.1 Update - RC7
- Dhcpcd-1.3.18p18-13

Based on the description below, Intel platforms fail too. Intel does
not find IP on ETH 2 instead of ETH 3. 

Motherboard/Rev: Double Eagle Rev 3     Barcode: A022699     MSN#: 
Northbridge/IO Tunnel: Golem     Revision: B1
Southbridge/IO Hub: Thor     Revision: C2
Int/Ext BIOS Version: 101AUS     BIOS Vendor: Phoenix

Processor(s): Sledgehammer 940 Ci Node5 (uOPGA)-2400MHz/1M/1.50V DP
DVT (Prime)

Failing Device: LSI7402XP-LC (A001951)
Comment 3 Marc J. Miller 2004-12-16 17:12:05 EST
AMD is still waiting for feedback from Red Hat on this issue.
Comment 4 Jason Vas Dias 2004-12-16 18:11:25 EST
It appears that the dhcp client believes it has sent the packet OK,
but gets no response:
'Timed Out waiting for valid DHCP Server Response'
Can you configure the interface with a valid static IP address and
ping the dhcp server ? 
ie., please do:
  # ifdown eth3
  # ifconfig eth3 <valid IP> netmask <valid netmask> up 
  # tcpdump -i eth3 -vv -s 2048 -X > /tmp/tcpdump.log 2>&1 &
  # ping <dhcp server> 
   ( wait for response or timeout, press <CTRL-C> )
  # dhcpd eth3 > /tmp/dhcpd.log 2>&1
where <valid IP>,  <valid netmask> are OK IP addresses on your 
network, and <dhcp server> is the address of your dhcp server.
Does the ping also time out ?
Please append the resulting /tmp/dhcpd.log and /tmp/tcpdump.log
files to this bug. 
You said:
 "Can do a ifup eth0 - eth2 and get an IP without any problems."
Was this the SAME e1000 card in the eth0-eth2 slots that worked ?
IE. does the SAME card ONLY fail when in slot 3 ? 
If so, it sounds like a hardware or kernel problem, and this bug
should be moved to the kernel.

Comment 5 Jason Vas Dias 2005-06-02 11:37:31 EDT
As there has been no response to previous comment requesting
further information, it is assumed this bug is no longer an
issue. Closing out. Please re-open if this is still an issue.

Note You need to log in before you can comment on or make changes to this bug.